import { isEnumControl, or, schemaMatches } from '@jsonforms/core';
export const isOneOfEnum = or(isEnumControl, schemaMatches((schema) => schema.hasOwnProperty('oneOf') &&
    schema.oneOf.some((s) => s.hasOwnProperty('enum'))));
//# sourceMappingURL=isOneOfEnum.js.map